Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart.imagemap
Class StandardURLTagFragmentGenerator

    java.lang.Object
      org.jfree.chart.imagemap.StandardURLTagFragmentGenerator

All Implemented Interfaces:
  URLTagFragmentGenerator

    public class StandardURLTagFragmentGenerator

extends java.lang.Object
implements URLTagFragmentGenerator

Generates URLs using the HTML href attribute for image map area tags.

Constructor Summary
`StandardURLTagFragmentGenerator()`

Method Summary
`java.lang.String` | `generateURLFragment(java.lang.String urlText)` Generates a URL string to go in an HTML image map.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardURLTagFragmentGenerator

    public StandardURLTagFragmentGenerator()

Method Detail

### generateURLFragment

    public java.lang.String generateURLFragment(java.lang.String urlText)

  Generates a URL string to go in an HTML image map.

  Specified by:
    `generateURLFragment` in interface `URLTagFragmentGenerator`
  Parameters:
    `urlText` - the URL.
  Returns:
    The formatted text

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD